Bug 152161 - Please link nss_ldap with lpthread (fixes ocal)
Please link nss_ldap with lpthread (fixes ocal)
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: nss_ldap (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-25 09:35 EST by Charles Lopes
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 18:58:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Lopes 2005-03-25 09:35:36 EST
Description of problem:
The Oracle Calendar client fails when run on a FC3 system that uses nss_ldap
with the following error:
"symbol __pthread_atfork, version GLIBC_2.0 not defined in file libpthread.so.0
with link time reference"
Linking nss_ldap with libpthread (added to SHAREDLIBS in the spec file) fixes
this problem.

Version-Release number of selected component (if applicable):
nss_ldap-220

How reproducible:
Alway

Steps to Reproduce:
1. Configure /etc/nsswitch.conf to use ldap for passwd
2. Stop nscd (it crashes faster that way)
3. Start ocal
  
Actual results:
symbol __pthread_atfork, version GLIBC_2.0 not defined in file libpthread.so.0
with link time reference

Expected results:
No error

Additional info:
Comment 1 Nalin Dahyabhai 2006-04-24 18:58:37 EDT
Linking a demand-loaded module against libpthread is not expected to work in
cases where the application which loads the module isn't already linked with
libpthread, so I have to close this can't-fix.

If these are both the nss_ldap and glibc packages from FC3, then the fix needs
to be made some other way.

Note You need to log in before you can comment on or make changes to this bug.